migrateRepository.text = Migrate Current Repository
migrateRepository.mnemo = M
migrateRepository.tooltip = Migrate Current Repository
migrateRepository.desc = Migrate current repository

migateDialog.tile = Migrate Repository
migrateDialog.msg = Migration performs the following operations :\n - modifies queries in order to avoid deprecation warnings while executing \n - extends query language (adds top package related condition and action) \n - modifies TRL, Initial Actions and IRL rules to avoid deprecation warnings while executing \n - converts Business Rules to the latest grammars available.
migrateDialog.completed.msg = Migration completed \n (See Message panel for more details)

progress.stop = Stop migration
progress.title = Migrate current repository

migrationfatalerror = The migration process has encountered an unexpected error.
technicalrules.unparsablerule = Cannot parse rule.
technicalrules.unparsablefs = Cannot parse function set.
technicalrules.unparsableia = Cannot parse initial actions.
technicalrules.unparsabletask = Cannot parse task.
technicalrules.frozenelement = The element ''{0}'' is frozen.
technicalrules.frozenpackage = The package ''{0}'' is frozen. Its contents cannot be migrated.
technicalrules.cannotmigrate = The rule ''{0}'' cannot be migrated.
queries.bomqueryfrozen = Queries have not been migrated because the BOM Query cannot be modified.
queries.queryfrozen = The Query ''{0}'' has not been migrated because it cannot be modified.
